/* custom css here */
body {
    margin: 0;
    padding: 0;
    font-family: 'Roboto', sans-serif;
    background:#ecf0f1;
}

main {
    height: 100vh;
    margin-top: 30px;
}

h1 {
    margin-left: 5px;
}
.mt{
    margin-top: 130px;
}
.logo {
    max-width: 60px;
}

.navbar {
    display: flex;
    position: fixed;
    width: 100%;
    top: 0;
    margin-bottom: 15px;
    height: 10vh;
    justify-content: space-around;
    align-items: center;
    padding: 0 20px;
    background: #2980b9;
}

.navbar-nav {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    color: white;
}

.list-item {
    padding: 10px;
    list-style:none;
}

.nav-link {
    color: inherit;
    letter-spacing: 1px;
    text-decoration: none;
    font-weight: bold;
    font-size: 1.2rem;
    transition: .6s;
}

.nav-link:hover {
    text-decoration: underline;
}

.ham {
    display:none;
    padding: 5px;
    cursor: pointer;
}

.bar1,.bar2,.bar3 {
    display: block;
    width: 35px;
    height: 3px;
    margin: 5px auto;
    background-color: #101010;
    transition: .4s;
}

.titre {
    font-size: 2rem;
    color: white;
}
h2 {
    color: white;
}
p {
    font-size: 1.1rem;
}
img {
    width: 20%;
}


.margin {
    margin-top: 20px;
}

#top {
    display: flex;
    margin-bottom: 50px;
}
#top img {
    margin-left: 50px;
}
#top h1 {
    padding-top: 50px;
}
.form-citation {
    flex-direction: column ;
}
.form-citation input {
    margin-top: 15px;
}
.top-input {
    display: flex;
    justify-content: flex-end;
    margin-right: 50px;
}

table {
    margin:auto;
    table-layout: auto;
    width: 90%;
    margin-bottom: 50px;
}
.center {
    text-align: center;
}

table a {
    padding: 0 15px;
    text-decoration: none;
    border-right: 1px solid black;
}
.back-action {
    display: flex;
    justify-content: center;
    margin-bottom: 50px;
}
.back-action a {
    text-decoration: none;
    border: 1px solid black;
    border-radius: 6px;
    padding: 5px
}
.ml {
    margin-left: 10px;
}
.color{
    background-color: #dfe6e9;
}

.color-tr{
    background-color: #444;
}

form {
    display: flex;
    justify-content: center;
    padding: 1rem;
}
label,input,textarea {
    margin-right: 5px;
    border-radius: 5px;;
}
figure {
    animation: fadein 3s;
    display: flex;
    flex-direction: column;
    align-items: center;
}
figcaption {
    font-size: 1.1rem;
}
blockquote {
    max-width: 60%;
    margin: 0;
}

blockquote p {
    animation: fadein 3s;
    padding: 15px;
    background: #3498db;
    border-radius: 5px;
}
i {
    padding: 0 8px;
    font-size: 1.5rem   
}

footer {
    height: 10vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #2980b9;
    color: white;
    margin-top: 20px;
    font-size: 1.2rem;
    font-weight: bold;
}

@media only screen and (max-width: 768px){

    .container {
        height: 100vh;
    }
    .logo {
        display:none;
    }
    .navbar-nav {
        position: absolute;
        top: 10vh;
        right: 40px;
        flex-direction: column;
        background-color:rgb(0,0,0,0.75);
        border-radius: 0 0 0 20px;
        transition: transform 0.3s ease-in;
        transform: translate(100%);
    }

    .nav-change{
        transform: translate(0%);
    }

    .ham {
        display: block;
    }

    .change .bar1 {
        transform: rotate(45deg) translate(8px,3px);
    }

    .change .bar2 {
        opacity: 0;
    }

    .change .bar3 {
        transform: rotate(-45deg) translate(8px, -3px);
    }

    blockquote {
        max-width: 100%;
    }
}
@keyframes fadein {
    0% {
    opacity:0;
    transform: translateX(-400px);
    }
    50%{
    opacity:0.5;
    }
    100% {
    transform: translateX(1);
    opacity:1;
    }
   }